﻿using System;
using System.ComponentModel;

namespace UpdateSubObject
{
    public class Employee : INotifyPropertyChanged
    {
        private int employeeID;
        private string name;
        private bool onSite;
        private DateTime dateOfHire;
        private int department;
        private string site;
        private SimpleObject readyState;

        public int EmployeeID { get { return this.employeeID; } 
            set {
                
            this.employeeID = value;
            NotifyPropertyChanged("EmployeeID");
            }
        }
        public string Name { get { return this.name; } set { this.name = value; } }
        public bool OnSite { get { return this.onSite; } set { this.onSite = value; } }
        public DateTime DateOfHire { get { return this.dateOfHire; } set { this.dateOfHire = value; } }
        public int Department { get { return this.department; } set { this.department = value; } }
        public string Site { get { return this.site; } set { this.site = value; } }
        public SimpleObject ReadyState { get { return this.readyState; } set { this.readyState = value; } }
        public Employee()
        {
            this.employeeID = int.MinValue;
            this.name = string.Empty;
            this.onSite = false;
            this.dateOfHire = DateTime.MinValue;
            this.department = int.MinValue;
            this.site = String.Empty;
            this.readyState = new SimpleObject(false);
        }
        public Employee(int employeeID, string name, bool onSite, DateTime dateOfHire, int department, string site)
        {
            this.employeeID = employeeID;
            this.name = name;
            this.onSite = onSite;
            this.dateOfHire = dateOfHire;
            this.department = department;
            this.site = site;
            this.readyState = new SimpleObject(true);
           
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        

        private void NotifyPropertyChanged(string info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
        #endregion
    }
}
