﻿using System;
using System.ComponentModel;

namespace UpdateSubObject
{
    public class SimpleObject: INotifyPropertyChanged
    {
        private Boolean isReady;
        public SimpleObject(Boolean isReady)
        {
            this.isReady = isReady;
        }

        public Boolean IsReady
        {
            get { return this.isReady; }
            set
            {
                
                this.isReady = value;
                NotifyPropertyChanged("IsReady");
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

      
        private void NotifyPropertyChanged(string info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
        #endregion

       
    }
}
